Skip to Content
veriom

Get MCP consent

GET
/v1/mcp/consent

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Query Parameters

flow*Flow

Response Body

Successful Response

application/json
  1. response
client_id*Client Id
client_name*Client Name
expires_at*Expires At
Formatdate-time
resource*Resource
scopes*array<string>
workspaces*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/mcp/consent?flow=string'
Example Response
{  "client_id": "string",  "client_name": "string",  "expires_at": "2019-08-24T14:15:22Z",  "resource": "string",  "scopes": [    "string"  ],  "workspaces": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "role": "owner",      "slug": "string"    }  ]}